Subject: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focus when it calls `list-processes'

From: martin rudalics <[email-masked]>
Date: Wed, 05 Sep 2012 16:30:27 +0200

> This is part of the ongoing saga of trying to get Emacs to DTRT with
> buffers popped up only to serve as info while Emacs asks a question
> requiring a response.
>  
> IF you use a standalone minibuffer frame, AND the popped up buffer is
> special-display (e.g. because of `special-display-regexps'), AND you are
> on MS Windows (which automatically shifts the focus to a new frame that
> it creates), THEN:
>  
> 1. When you try to exit Emacs with active processes, Emacs pops up a new
> frame for buffer `*Process List*' and asks you about killing them.
>  
> 2. But the minibuffer frame no longer has the focus!  So when you type
> your answer (e.g. "yes") Emacs tries to insert it as text in buffer
> `*Process List*'.  Poor Emacs.

Please check with the next binaries whether this works now as intended.

Thanks, martin